it.reply.healty.innovapuglia.mstaccuino.utility

## Class SpringUtils

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.utility.SpringUtils

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

      @Service
      public class SpringUtils
      extends Object
      implements org.springframework.context.ApplicationContextAware

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringUtils()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `autowire(Class<T> type)`
    `static org.springframework.context.ApplicationContext` | `getApplicationContext()`
    `static <T> T` | `getBean(Class<T> type)`
    `static Object` | `getBean(String name)`
    `static <T> T` | `getBean(String name, Class<T> type)`
    `static org.springframework.beans.factory.config.AutowireCapableBeanFactory` | `getBeanFactory()`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringUtils

          public SpringUtils()

  - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                                     throws org.springframework.beans.BeansException

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### getApplicationContext

          public static org.springframework.context.ApplicationContext getApplicationContext()

    - #### getBean

          public static Object getBean(String name)
                                throws org.springframework.beans.BeansException

      Throws:
        `org.springframework.beans.BeansException`

    - #### getBean

          public static <T> T getBean(String name,
                                      Class<T> type)
                               throws org.springframework.beans.BeansException

      Throws:
        `org.springframework.beans.BeansException`

    - #### getBean

          public static <T> T getBean(Class<T> type)
                               throws org.springframework.beans.BeansException

      Throws:
        `org.springframework.beans.BeansException`

    - #### getBeanFactory

          public static org.springframework.beans.factory.config.AutowireCapableBeanFactory getBeanFactory()

    - #### autowire

          public static <T> T autowire(Class<T> type)

Copyright © 2024. All rights reserved.